Jump to content
4.4.2
Sign in to follow this  
๖ۣۣۜDesperate™

IPS Community Suite 4.4.2 NULLED IPSZONA

Recommended Posts

๖ۣۣۜDesperate™

IPS Community Suite 4.4.2 NULLED IPSZONA


Версия 4.4.2 является небольшим обновлением для обслуживания, чтобы исправить проблемы, о которых сообщалось с 4.4.1.

Дополнительная информация

Скрытый текст

ядро

  • Настроен оперативный поиск AdminCP для поиска строк поиска по имени и адресу электронной почты (а не только в начале) для сайтов с количеством участников менее 1 000 000.
  • Улучшено сообщение об ошибках для непредвиденных исключений в некоторых случаях при ручном запуске задач.
  • Обновлен CKEditor до 4.11.3.
  • Для страницы значков и логотипов добавлено несколько ключевых слов для поиска в реальном времени AdminCP .
  • Скорректирована обработка результатов поиска, чтобы автоматически удалять недействительные результаты при обнаружении.
  • Изменены виджеты комментариев и элементов, которые нужно ограничить последним годом, чтобы предотвратить снижение производительности.
  • Исправлена ошибка, из-за которой таблица лидеров не могла корректно перестраиваться.
  • Исправлена ошибка, из-за которой искомые термины не могли быть выделены на странице результатов поиска при использовании Elasticsearch.
  • Исправлена ошибка, из-за которой Elasticsearch не мог добраться до последней страницы результатов поиска.
  • Исправлена ошибка, из-за которой пользователи могли столкнуться с ошибкой при входе в систему с новой социальной учетной записью после того, как она уже была связана с социальной учетной записью.
  • Исправлена ошибка, из-за которой файл манифеста мобильного PWA не был доступен гостям, когда гости должны войти в систему, чтобы использовать сайт.
  • Исправлена ошибка, из-за которой javascript не загружался из-за ошибки в сторонней библиотеке Howler.
  • Исправлена ошибка, из-за которой фоновая задача «Обрезать участников» может зависнуть при обнаружении учетной записи персонала.
  • Исправлена ошибка, из-за которой отслеживание ссылки на электронную почту не распространялось на все отправленные сообщения.
  • Исправлена проблема с пограничным регистром, из-за которой перестройка отложенной загрузки могла повлиять на встроенные видео.
  • Исправлена проблема с обновлением, которая могла возникнуть, если для уведомлений об обновлении указано несколько адресов электронной почты.
  • Исправлена ошибка, из-за которой импортированные учетные записи участников не отмечались как завершенные.
  • Исправлена ошибка, из-за которой изменение типа предупреждения в форме предупреждения не приводило к переключению флажка «удалить точки никогда» на правильное значение
  • Исправлена проблема, когда в полях профиля отображался HTML-код при применении пользовательского форматирования.
  • Исправлена ошибка, из-за которой программа обновления могла ссылаться на неверную тему при сообщении о конфликтах тем.
  • Исправлена проблема с ссылкой «Обновление сейчас» на внешнем баннере уведомлений.
  • Исправлена ошибка, из-за которой фильтр отображаемого имени не сохранял параметр «либо».
  • Исправлены изображения с расширениями в верхнем регистре, которые некорректно запускали лайтбокс.
  • Исправлена ошибка, из-за которой стилистика страниц временно терялась при нажатии «Проверить снова» на инструменте поддержки в AdminCP .
  • Исправлена проблема с виджетами комментариев, когда их редактирование могло не отображать правильно выбранный диапазон дат.

Core REST API

  • Исправлена ошибка добавления члена в клуб через REST API.

Форумы

  • Исключенные архивные темы из дайджестов электронной почты.
  • Исправлена ошибка, из-за которой количество сообщений для форумов могло быть неправильным, если используется архивирование.
  • Исправлена ошибка, из-за которой при объединении двух тем тема могла отображаться не в той позиции в списке форумов.
  • Предотвращена возможная проблема бесконечного перенаправления при объединении двух тем одновременно.
  • Применяется форматирование имени группы к именам участников в темах при просмотре на телефоне.
  • Удалены форумы перенаправления из жидкого представления.
  • Галерея
  • Исправлена ошибка обновления Галереи при наличии потерянных альбомов.

Блог

  • Исправлена ошибка, при которой гости могли оставлять комментарии без разрешения.
  • Исправлена ошибка, при которой рейтинг записей в блоге не отображался.
  • Исправлена небольшая проблема с отображением рейтинга и тегов блога при просмотре записей блога.

Коммерция

  • Улучшено отображение и функциональность одноразовых пакетов подписки.
  • Повышена безопасность общедоступных конечных точек, которые получают веб-хуки и другие уведомления от шлюзов.
  • Исправлена ошибка, из-за которой гости, которые не могут просматривать сайт, не могут зарегистрироваться, если при регистрации требуется приобрести подписку.
  • Исправлена ошибка, из-за которой Брейнтри не мог оформить покупку подписки при использовании кредитной карты.
  • Исправлено обновление просроченных покупок, приводящее к выдаче кредита на счет.
  • Исправлена ошибка, из-за которой создание подписки без параметров продления приводило к ошибке.
  • Исправлена ошибка, из-за которой удаление подписки не приводило к удалению изображения обложки.
  • Исправлена ошибка, из-за которой фоновая задача пересчета не работала.

Страницы

  • Исправлена ошибка, из-за которой в списке ревизий записей отображался одинаковый diff для каждой ревизии.
  • Исправлена ошибка, при которой гости могли отправлять статьи без разрешения.
  • Исправлена ошибка проверки HTML с комментариями к записи.

Загрузки

  • Исправлена невозможность отправить несколько файлов одновременно.

Конвертер

  • Исправлена ошибка, из-за которой Javascript / HTML можно было удалить из блоков кода в vB5.
  • Исправлена ошибка, из-за которой некоторые данные не могли быть преобразованы при конвертации из SMF, Vanilla, ExpressionEngine.
  • Исправлена ошибка, из-за которой некоторые конвертеры могли быть недоступны для использования (bbPress, Coppermine).
  • Исправлена проблема с конверсиями SMF, когда форумы могут не разрешать новые посты после конверсии.

Изменения, затрагивающие сторонних разработчиков и дизайнеров

  • Исправлена ошибка ErrorException, возникающая, когда пользователь получает свой первый PM во время опроса AJAX instantNotifications.
  • Исправлены запросы `Content \ Item :: _ comments ()`, чтобы не вызывать ошибку MySQL, когда сторонний код подключается к Comment :: joins для добавления дополнительных объединений.
  • Исправлена ошибка, из-за которой `\ IPS \ Lang :: replace` изменял нестроковые значения в пустую строку

 


 

  • Нравится 2
  • Спасибо 2

Share this post


Link to post
Share on other sites
sovushik

Как всегда - держите марку!!!

  • Нравится 1
  • Upvote 1

Share this post


Link to post
Share on other sites
DeltaFoX

the v4.4.2 build 104019 is out difference from 4.4.2 Build 104018 is

Quote

104019 "an issue with single forum moderators, custom profile field display and topic widgets"

is possible to share only diff file?

many thank's

Share this post


Link to post
Share on other sites
Sipsb

Тем кто установил Nulled до публикации этого сообщения, рекомендуем скачать и установить данный Fix - /system/Content/Widget.php

 

  • Спасибо 2

Share this post


Link to post
Share on other sites
DrTauren

Собсна с нуля не ставится, сайт не отвечает, а если начинаешь обновлять со старой версии, то:

Снимок.PNG

Share this post


Link to post
Share on other sites
DrTauren

@Sipsb @๖ۣۣۜDesperate™ есть идеи в чём может быть проблема?

Share this post


Link to post
Share on other sites
๖ۣۣۜDesperate™

@DrTauren идеи только в правильности установки. Проверяйте  chmod, конфиги, базу, ваш сервер. Наш и сайт и клиенты обновлены без проблем, следовательно проблема только с вашей стороны. 

Share this post


Link to post
Share on other sites
DrTauren

@๖ۣۣۜDesperate™ Ахахах. Ну, всё возможно конечно. Можно ссылочку на проверенный гайд по установке тогда уж? 😄

Share this post


Link to post
Share on other sites
๖ۣۣۜDesperate™

@DrTauren я что-то смешное сказал? Сколько информации я получил от вас, столько же я и сказал свое мнение. Мы не "Вангуем", больше инфы ваших действий и тогда помощь будет полезная.

Share this post


Link to post
Share on other sites
DrTauren
2 минуты назад, ๖ۣۣۜDesperate™ сказал:

@DrTauren я что-то смешное сказал? Сколько информации я получил от вас, столько же я и сказал свое мнение. Мы не "Вангуем", больше инфы ваших действий и тогда помощь будет полезная.

[27-Mar-2019 19:35:01 UTC] PHP Fatal error:  Uncaught ErrorException: Class IPS\Request could not be loaded. Ensure it has been properly prefixed with an underscore and is in the correct namespace. in /home/d/drtaur8a/newdesign/public_html/init.php:438
Stack trace:
#0 [internal function]: IPS\IPS::errorHandler(256, 'Class IPS\\Reque...', '/home/d/drtaur8...', 438, Array)
#1 /home/d/drtaur8a/newdesign/public_html/init.php(438): trigger_error('Class IPS\\Reque...', 256)
#2 [internal function]: IPS\IPS::autoloader('IPS\\Request')
#3 /home/d/drtaur8a/newdesign/public_html/system/Session/Front.php(44): spl_autoload_call('IPS\\Request')
#4 /home/d/drtaur8a/newdesign/public_html/system/Dispatcher/Standard.php(319): IPS\Session\_Front::loggedIn()
#5 [internal function]: IPS\Dispatcher\_Standard->__destruct()
#6 {main}
  thrown in /home/d/drtaur8a/newdesign/public_html/init.php on line 438

 

Share this post


Link to post
Share on other sites
๖ۣۣۜDesperate™

@DrTauren как и говорил проверьте файл конфиг, переименуйте его в conf_global.php, так же проверьте права на директории.

Share this post


Link to post
Share on other sites
DrTauren
10 минут назад, ๖ۣۣۜDesperate™ сказал:

conf_global.php

переименовал. он пустой, это норм? 

Share this post


Link to post
Share on other sites
DrTauren

@๖ۣۣۜDesperate™ точно так же загружаю файлы 4.1.18.2 и всё прекрасно устанавливается. Странно как-то, не находите?

Share this post


Link to post
Share on other sites
DrTauren

В общем абсолютно так же закинул другой пак 4.4.2, с другого сайта и всё моментально заработало. чтд

Share this post


Link to post
Share on other sites
Sipsb

@DrTauren Видимо не судьба использовать наш null :dada:. Проблемы наблюдаются только у вас. 🤷‍♂️

Share this post


Link to post
Share on other sites
sync
18 часов назад, DrTauren сказал:

Собсна с нуля не ставится, сайт не отвечает, а если начинаешь обновлять со старой версии, то:

Снимок.PNG

Аналогично. Пока не разобрался, логи ошибки очень скудные.

Share this post


Link to post
Share on other sites
๖ۣۣۜDesperate™

У кого такие ошибки, по возможности, дайте доступы, попробую обновить вас.

Share this post


Link to post
Share on other sites
sync
10 минут назад, ๖ۣۣۜDesperate™ сказал:

У кого такие ошибки, по возможности, дайте доступы, попробую обновить вас.

К сожалению, сайт в корпоративной сети, внешнего доступа нет. По логам вообще ничего не понять, но очень похоже на ту ошибку, лог которой приведен выше. Ошибка возникает при заливке новой версии поверх старой (версия 4.3). Ни сайт, ни админка не работает.

Share this post


Link to post
Share on other sites
๖ۣۣۜDesperate™

@sync просто очень странно, обновил не одного своего клиента и ошибок никаких не было и хотелось бы понять причину. Попробуйте отключить отображение ошибок, если он включен на сервере.

Share this post


Link to post
Share on other sites
DeltaFoX

the v4.4.2 build 104020 is out difference from 4.4.2 Build 104019 is

Quote

104020    "resolves an issue with Stripe payments"

is possible to share only diff file?

many thank's

Share this post


Link to post
Share on other sites
sync

Пробовал разные варианты, удалил все плагины и приложения, чистил кеш - но не помогло. Отложил пока обновление. Сходу не получилось. (((

Share this post


Link to post
Share on other sites
Sipsb

@DeltaFoX For our country it is not relevant, we will not post this file. 

  • Upvote 1

Share this post


Link to post
Share on other sites
sync

Проблема с ошибкой 500 была найдена. Начиная с версии 4.4 IPS требует версию php 7.1 или выше. 

New Server Requirements: PHP 7.1.0 or higher required (7.3.x now supported). MySQL 5.5.3 or higher requires (5.6.2 recommended).

Будьте внимательны, если вы обновляете форум с версии 4.3 и используете php 7.0 или ниже, вам потребуется также обновить php.

Share this post


Link to post
Share on other sites
sovushik
17 часов назад, sync сказал:

Проблема с ошибкой 500 была найдена. Начиная с версии 4.4 IPS требует версию php 7.1 или выше. 


New Server Requirements: PHP 7.1.0 or higher required (7.3.x now supported). MySQL 5.5.3 or higher requires (5.6.2 recommended).

Будьте внимательны, если вы обновляете форум с версии 4.3 и используете php 7.0 или ниже, вам потребуется также обновить php.

Нормальные хостинги, как минимум, давно уже на 7.3, не говоря уже о 7.1

  • Нравится 1

Share this post


Link to post
Share on other sites
sync
Posted (edited)
8 часов назад, sovushik сказал:

Нормальные хостинги

Не знаю на счет хостингов, но на подавляющем большинстве VPS стоит Ubuntu 16.04, CentOS 7 или Debian с версией php 7.0 в лучшем случае.

Версия php 7.2 стала поддерживаться начиная с дистрибутива Ubuntu 18.04, который многие VPS провайдеры стали предлагать только совсем недавно.

И вы удивитесь, что php версии 5 используют 70% сайтов

8 часов назад, sovushik сказал:

давно уже на 7.3

А php 7.3 вышел только в конце прошлого года :))))

Так что вам очень повезло с хостингом :)))))

Edited by sync

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...